/* 2008 (c) Intel Corporation,  All rights reserved.
 *
 * Original author Øyvind Kolås <pippin@openedhand.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     - Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     - Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     - Neither the name of Intel Corporation nor the names of its
 *       contributors may be used to endorse or promote products derived from
 *       this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY Intel Corporation ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL Intel Corporation BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __MAIN_H__
#define __MAIN_H__


#define ASSET_ROOT "./assets/"
#define JSON_ROOT "./layouts/"

typedef struct
{
  /* The indentation shown here indicates how the various pieces
   * composited related to each other
   */

  ClutterActor *stage;
    ClutterActor *modal;
    ClutterActor *copyholder;
      ClutterActor *maincopy;  
    ClutterActor *mainstuff;
      ClutterActor *notification_group;
        ClutterActor *notification_bg;
      ClutterActor *left;
      ClutterActor *middle;
      ClutterActor *right;
      ClutterActor *background;


  gint          wheel_radius;/*< radius of wheels */
  gboolean      wheels;      /*< whether the wheels are visible */

  gfloat        wheel_child_factor;

  gboolean      rotated;
  gint          width2;
  gint          height2;

  gboolean      fullscreen;

  /* notification area handling */
  GList        *notifications;
} MoblinDesktop;

gint           moblin_desktop_width    (void);
gint           moblin_desktop_height   (void);

void           moblin_desktop_init     (gint    argc,
                                        gchar **argv);
MoblinDesktop *moblin_desktop          (void);
void           moblin_fullscreen       (gboolean state);
void           moblin_desktop_activate_application       (ClutterActor *actor);
void           moblin_add_notification (const gchar *string,
                                        GCallback    callback,
                                        gpointer     userdata);
void moblin_blur (void);
void moblin_unblur (void);


#include "tween.h"
#include "util.h"

#endif
