/* 2008 (c) Intel Corporation,  All rights reserved.
 *
 * Original author Øyvind Kolås <pippin@openedhand.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     - Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     - Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     - Neither the name of Intel Corporation nor the names of its
 *       contributors may be used to endorse or promote products derived from
 *       this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY Intel Corporation ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL Intel Corporation BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __MOBLIN_DISC_H__
#define __MOBLIN_DISC_H__

#include <glib-object.h>
#include <clutter/clutter-actor.h>
#include "clutter-box2d.h"

G_BEGIN_DECLS

#define MOBLIN_TYPE_DISC           (moblin_disc_get_type ())
#define MOBLIN_DISC(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), MOBLIN_TYPE_DISC, MoblinDisc))

typedef struct _MoblinDisc         MoblinDisc;
typedef struct _MoblinDiscClass    MoblinDiscClass;
typedef struct _MoblinDiscPrivate  MoblinDiscPrivate;

struct _MoblinDisc
{
  ClutterBox2D       parent;
  MoblinDiscPrivate *priv;
};

struct _MoblinDiscClass 
{
  /*< private >*/
  ClutterBox2DClass parent_class;
}; 

GType  moblin_disc_get_type (void) G_GNUC_CONST;

/* peek on the position the actor would be given in the container */
void moblin_disc_get_next_xy (MoblinDisc *disc, gint *x, gint *y);

G_END_DECLS

#endif /* __MOBLIN_DISCH__ */
