/* 2008 (c) Intel Corporation,  All rights reserved.
 *
 * Original author Øyvind Kolås <pippin@openedhand.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     - Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     - Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     - Neither the name of Intel Corporation nor the names of its
 *       contributors may be used to endorse or promote products derived from
 *       this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY Intel Corporation ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL Intel Corporation BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <clutter/clutter.h>
#include <glib/gprintf.h>
#include "moblin-desktop.h" /* for ASSET_ROOT */

ClutterActor *test2_new ()
{
  ClutterColor  color = {0xff, 0x00, 0x00, 0x66};
  ClutterActor *foo = clutter_rectangle_new ();
  clutter_actor_set_size (foo, moblin_desktop_height (), moblin_desktop_height ());

  color.red = g_random_int_range (0, 255);
  color.green = g_random_int_range (0, 255);
  color.blue = g_random_int_range (0, 255);
  clutter_rectangle_set_color (CLUTTER_RECTANGLE (foo), &color);
  return foo;
}

ClutterActor *test_new ()
{
  ClutterActor *foo;
    gchar **dir_entries = get_dir_entries (ASSET_ROOT "shots");
    gint    count = pasp_count (dir_entries);

    foo = g_object_new (CLUTTER_TYPE_TEXTURE,
        "filename", dir_entries[g_random_int_range(0,count)],
        "filter-quality", CLUTTER_TEXTURE_QUALITY_HIGH,
        NULL);

    g_object_set (foo, "keep-aspect-ratio", TRUE,
                       "width", moblin_desktop_width (),
                       NULL);

    g_free (dir_entries);
  return foo;
}
